TEMPLATE	= app
LANGUAGE	= C++

#CONFIG	+= warn_off qt debug  #for DEBUG
CONFIG	+= warn_off qt release

HEADERS	+= qps.h \
	pstable.h \
	dialogs.h \
	fieldsel.h \
	scheddlg.h \
	prefs.h \
	infobar.h \
	htable.h \
	lookup.h \
	details.h \
	command.h \
	qttableview.h \
	trayicon.h

SOURCES	+= qps.cpp \
	pstable.cpp \
	proc.cpp \
	uidstr.cpp \
	ttystr.cpp \
	dialogs.cpp \
	checkmenu.cpp \
	infobar.cpp \
	fieldsel.cpp \
	crossbox.cpp \
	scheddlg.cpp \
	wchan.cpp \
	prefs.cpp \
	htable.cpp \
	lookup.cpp \
	details.cpp \
	command.cpp \
	qttableview.cpp \
	trayicon.cpp

#FORMS	= form1.ui  # I will remove these (fasthyun)
#IMAGES	= images/filenew images/fileopen images/filesave images/print \
#	images/undo images/redo images/editcut 	images/editcopy \
#	images/editpaste images/searchfind

# for gcc profiling (by ~fasthyun)
QMAKE_CFLAGS_DEBUG+= -p
QMAKE_CXXFLAGS_DEBUG+= -p
QMAKE_LFLAGS_DEBUG+= -p

TARGET 	= qps
#FORMS	= qps.ui
#IMAGES	= logo.png

UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

bin.path = /usr/local/bin
bin.files= qps
man.path = /usr/local/share/man/man1
man.files= qps.1

INSTALLS += bin man

UNAME = $$system(uname -s)
contains( UNAME, [lL]inux ) {
	system(ln -fs proc_linux.cpp proc.cpp)
	QMAKE_POST_LINK += strip -g qps
}
contains( UNAME, SunOS ) {
	system(ln -s proc_solaris.cpp proc.cpp)
	LIBS += -lkstat -lrt
	QMAKE_POST_LINK += strip -x qps
}
contains( UNAME, MOSIX ) {
	system(ln -s proc_mosix.cpp proc.cpp)
	QMAKE_POST_LINK += strip -g qps
}

